from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()

long_description = (here / "README.md").read_text(encoding="utf-8")

setup(
    name="paf_sapgui_eltrans_zfmta_rar",
    version="0.1.2",
    description="SAP GUI - Elements Transaction ZFMTA-RAR",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/asitservices/as.it.ses.PythonAutomationFramework",  # Optional
    author="ASIT_SES_SSO",
    author_email="christian.koester@axelspringer.com",
    classifiers=[
        "Development Status :: 3 - Alpha",  # 3 - Alpha, 4 - Beta, 5 - Production/Stable
        "Intended Audience :: Developers",  # Developers, End Users/Desktop
        "Topic :: Software Development :: Libraries",  # Topic :: Software Development :: Testing
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3 :: Only",
    ],
    keywords="as, asit, paf, gui, sap, sapgui, elements, transaction",
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    python_requires=">=3.9, <4",
    install_requires=["pywin32", "paf_sapgui_component_session", "paf_sapgui_component_fields"],
    project_urls={ "Source": "https://github.com/pypa/sampleproject/"},
)
